Bug 89758 - pow WebGL Conformance test with mesa drivers
Summary: pow WebGL Conformance test with mesa drivers
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/nouveau (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Nouveau Project
QA Contact: Nouveau Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-25 06:20 UTC by Luke
Modified: 2015-03-27 23:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-03-25 06:20:50 UTC
On a GTX 650, the following 6 pow tests fail with the nouveau drivers but pass with the nvidia proprietary driver:

https://www.khronos.org/registry/webgl/conformance-suites/1.0.2/conformance/ogles/GL/pow/pow_009_to_016.html

test: pow_float_frag_xconsthalf_yvary.test.html
FAIL pixel @ (33, 33 was [45,0,0,255] expected [16,0,0,255]

test: pow_vec2_frag_xconsthalf_yvary.test.html
FAIL pixel @ (33, 33 was [45,90,0,255] expected [16,255,0,255]

test: pow_vec3_vert_xconsthalf_yvary.test.html
FAIL pixel @ (33, 33 was [45,90,90,255] expected [16,255,255,255]

https://www.khronos.org/registry/webgl/conformance-suites/1.0.2/conformance/ogles/GL/pow/pow_017_to_024.html

test: pow_float_vert_xconsthalf_yvary.test.html
FAIL pixel @ (33, 33 was [45,0,0,255] expected [16,0,0,255]

test: pow_vec2_vert_xconsthalf_yvary.test.html
FAIL pixel @ (33, 33 was [45,90,0,255] expected [16,255,0,255]

test: pow_vec3_vert_xconsthalf_yvary.test.html
FAIL pixel @ (33, 33 was [45,90,90,255] expected [16,255,255,255]
Comment 1 Ilia Mirkin 2015-03-25 14:56:37 UTC
Confirmed on a GF108. Need to piglit this so that we can look at what's going on without running a web browser...
Comment 2 Ilia Mirkin 2015-03-25 22:01:53 UTC
Thanks for the report. As I suspected, nothing actually to do with pow, just that the test, as written, happens to tickle a nouveau optimization bug. Should be fixed by:

http://patchwork.freedesktop.org/patch/45657/

Still need to run it through piglit.
Comment 3 Ilia Mirkin 2015-03-27 23:06:38 UTC
Fix pushed in 49b86007aa. Thanks for reporting!


bug/show.html.tmpl processed on Jan 18, 2017 at 01:49:01.
(provided by the Example extension).